#!BPY

"""
Name: 'PyPRP Remove Camera Avoiders'
Blender: 245
Group: 'Wizards'
Tooltip: 'Set AlcScript <campassthrough: true> for colliders'
"""

__author__ = "D'Lanor"

from Blender import Object
from alc_AlcScript import *
from alc_Functions import *

objlist = Object.Get()
AlcScript.LoadFromBlender()

for obj in objlist:
    if obj.rbFlags & Object.RBFlags["BOUNDS"]:
        objscript = AlcScript.objects.FindOrCreate(obj.name)
        cam = FindInDict(objscript,"physical.campassthrough",None)
        type = getTextPropertyOrDefault(obj,"type","object")
        if cam is None and type != "region":
            StoreInDict(objscript,"physical.campassthrough","true")

if len(AlcScript.objects.content) > 0:
    blendtext = alcFindBlenderText(AlcScript.ObjectTextFileName)
    blendtext.clear()
    alctext = AlcScript.objects.Write()
    blendtext.write(alctext)
